Follow me tool on multiple surfaces
-
Thanks for the help
t. -
hi,
is there anyone can help me to find the component stringer plugin....i tried so many time searching but i didnt find any installer... -
Hi Raffy and welcome!
Here you can find it attached to the top of the post:
http://forums.sketchucation.com/viewtopic.php?t=23616 -
Hi there, I saw that this thread was first started back in 2010.. any solutions to date? Just want to resurrect an old query. I appreciate your help, I find my self in need of such plugin because I'm doing a steel railing that has multiple shapes and if only a multi-face follow me exist, it'll be easier for my current task Thanks!
-
The 'path' doesn't have to be 'consumed' by the new geometry, locate it well below the faces to be FollowMe'd.
Then Pre-Select the path and activate FollowMe, click on the lowest face, a profile is made.
Next Re-Select the path and activate FollowMe, click on the next face, a profile is made.
Repeat till done.
Use shortcuts: for Select it's <spacebar> and FollowMe can be given one - like Alt+F
This makes the steps only a few more than if a single tool did it...However, here is a code snippet that does it for you !
Tips:
Ensure that the faces to extrude have their 'backs' to the start of the path.
Ensure the path is NOT going to be 'consumed' by the extruded geometry, by placing it below the lowest face.
Pre-Select the path AND the faces, do NOT include any faces' edges.
Then copy/paste the code into the Ruby Console +<enter>m=Sketchup.active_model; s=m.selection; m.start_operation('xf'); s.grep(Sketchup;;Face).each{|f| f.followme(s.grep(Sketchup;;Edge))}; m.commit_operation;
All of the face FollowMe along the selected path in one go.
It is one step undo-able. -
You could also look at something like the Profile Builder plugin/extension. You might need something more than the free version so that you can build your own profile. If you buy it, you can build any profile you need and it will then use that profile along a welded path.
You can find it at http://www.smustard.com The full version (where you can build your own profile is $20. I use the "free" version quite often.
-
There is a simple workaround for this that people often miss.
Just draw a circle around your group of faces and extrude that.
Tiny bit of clean up and reversing of faces and away you go.
-
doh!
-
Tricky but faces must be with preference perpendicular to the start path!
-
@tig said:
However, here is a code snippet that does it for you !
Tips:
Ensure that the faces to extrude have their 'backs' to the start of the path.
Ensure the path is NOT going to be 'consumed' by the extruded geometry, by placing it below the lowest face.
Pre-Select the path AND the faces, do NOT include any faces' edges.
Then copy/paste the code into the Ruby Console +<enter>m=Sketchup.active_model; s=m.selection; m.start_operation('xf'); s.grep(Sketchup;;Face).each{|f| f.followme(s.grep(Sketchup;;Edge))}; m.commit_operation; >
All of the face FollowMe along the selected path in one go.
It is one step undo-able.
Thanks a lot, I'll give this a try.
-
@box said:
There is a simple workaround for this that people often miss.
Just draw a circle around your group of faces and extrude that.
Tiny bit of clean up and reversing of faces and away you go.Haha.. I like this trick. I'll give it a try, I never thought about this technique before. Thanks for sharing
Advertisement